it.csi.mddtools.guigen

## Enum DataLifetimeType

- java.lang.Object
- - java.lang.Enum<DataLifetimeType>
  - - it.csi.mddtools.guigen.DataLifetimeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DataLifetimeType>, org.eclipse.emf.common.util.Enumerator

      public enum DataLifetimeType
      extends java.lang.Enum<DataLifetimeType>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Data Lifetime Type', and utility methods for working with them. Possibili modi di persistenza dell'application data.
  See Also:
    `GuigenPackage.getDataLifetimeType()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SAME_PAGE` The 'SAME PAGE' literal object
    `USER_ACTION` The 'USER ACTION' literal object
    `USER_SESSION` The 'USER SESSION' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SAME_PAGE_VALUE` The 'SAME PAGE' literal value
    `static int` | `USER_ACTION_VALUE` The 'USER ACTION' literal value
    `static int` | `USER_SESSION_VALUE` The 'USER SESSION' literal value
    `static java.util.List<DataLifetimeType>` | `VALUES` A public read-only list of all the 'Data Lifetime Type' enumerators

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataLifetimeType` | `get(int value)` Returns the 'Data Lifetime Type' literal with the specified integer value
    `static DataLifetimeType` | `get(java.lang.String literal)` Returns the 'Data Lifetime Type' literal with the specified literal value
    `static DataLifetimeType` | `getByName(java.lang.String name)` Returns the 'Data Lifetime Type' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static DataLifetimeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DataLifetimeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USER_ACTION

          public static final DataLifetimeType USER_ACTION

      The 'USER ACTION' literal object.
      See Also:
        `USER_ACTION_VALUE`

    - #### USER_SESSION

          public static final DataLifetimeType USER_SESSION

      The 'USER SESSION' literal object.
      See Also:
        `USER_SESSION_VALUE`

    - #### SAME_PAGE

          public static final DataLifetimeType SAME_PAGE

      The 'SAME PAGE' literal object.
      See Also:
        `SAME_PAGE_VALUE`

  - ### Field Detail

    - #### USER_ACTION_VALUE

          public static final int USER_ACTION_VALUE

      The 'USER ACTION' literal value.

      If the meaning of 'USER ACTION' literal object isn't clear, there really should be more of a description here...

      Il valore è disponibile solo fino al termine dell'azione utente corrente.
      See Also:
        `USER_ACTION`, Constant Field Values

    - #### USER_SESSION_VALUE

          public static final int USER_SESSION_VALUE

      The 'USER SESSION' literal value.

      If the meaning of 'USER SESSION' literal object isn't clear, there really should be more of a description here...

      Il valore è disponibile per tutta la durata della sessioen utente, a meno che non venga esplicitamente rimosso.
      See Also:
        `USER_SESSION`, Constant Field Values

    - #### SAME_PAGE_VALUE

          public static final int SAME_PAGE_VALUE

      The 'SAME PAGE' literal value. Il valore è disponibile finchè il flusso non passa a dun content panel differente, tramite un JumpCommand.
      See Also:
        `SAME_PAGE`, Constant Field Values

    - #### VALUES

          public static final java.util.List<DataLifetimeType> VALUES

      A public read-only list of all the 'Data Lifetime Type' enumerators.

  - ### Method Detail

    - #### values

          public static DataLifetimeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataLifetimeType c : DataLifetimeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataLifetimeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static DataLifetimeType get(java.lang.String literal)

      Returns the 'Data Lifetime Type' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static DataLifetimeType getByName(java.lang.String name)

      Returns the 'Data Lifetime Type' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static DataLifetimeType get(int value)

      Returns the 'Data Lifetime Type' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<DataLifetimeType>`